from zope.testbrowser.testing import Browser


def addCompetencyGroup(title, parentURL=None, browser=None):

    if browser is None:
        browser = Browser()
        browser.addHeader('Authorization', 'Basic manager:schooltool')
        browser.handleErrors = False
        oldURL = None
    else:
        oldURL = browser.url

    if parentURL is None:
        browser.open('http://localhost/++competencies++/')
    else:
        browser.open(parentURL)

    browser.getLink('Import Competencies from XML').click()
    

    browser.getLink('New Competency Group').click()
    browser.getControl('Title').value = unicode(title)
    browser.getControl('Add').click()

    if oldURL is not None:
        browser.open(oldURL)


def addCompetency(id, title, parentURL=None, browser=None):
    if browser is None:
        browser = Browser()
        browser.addHeader('Authorization', 'Basic manager:schooltool')
        browser.handleErrors = False
        oldURL = None
    else:
        oldURL = browser.url

    if parentURL is not None:
        browser.open(parentURL)
    else:
        browser.open('http://localhost/++competencies++/')

    browser.getLink(url='addCompetency.html').click()
    browser.getControl('ID').value = unicode(id)
    browser.getControl('Title').value = unicode(title)
    browser.getControl('Add').click()

    if oldURL is not None:
        browser.open(oldURL)
